Subject: bug#60418: [PATCH] Add :vc keyword to use-package

From: Tony Zorman <[email-masked]>
Date: Wed, 12 Apr 2023 11:00:46 +0200

On Wed, Apr 12 2023 07:34, Philip Kaludercic wrote:
> I think that this is a legitimate point, and I would be ready to push
> this change if you could adjust the patch to checkout the latest release
> instead of the latest commit by default, as Felician proposed.  Does
> that sound good to you?

Yes, sounds good to me. I should have time to prepare a revised patch
this weekend.

>> Further, it also makes testing out new changes very easy. For example, I
>> wanted to try out the overhauled LaTeX preview system that was proposed
>> for Org mode [1]. Rather than having to clone the respective repo and
>> check out the branch manually, this was just a
>>
>>     (use-package org
>>       :vc (:url "https://git.tecosaur.net/tec/org-mode.git" :branch "dev"))
>>
>> away, which is certainly a win in my book. 
>
> To be fair, use-package is not necessary here.  You can also just use
> package-vc-checkout to download a package to some directory and check it
> out that way.  I have a command somewhere that even automates the
> selection and would just "install" the package for a single session.

Fair point. I should have mentioned that I already had a `use-package`
declaration for org-mode, so trying out the branch simply required
adding a single line, which is why that felt so nice.

-- 
Tony Zorman | https://tony-zorman.com/